<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Katigories;
use App\ErasmusPreregistration;

class ErasmusPreregistrationController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $preregistrations = ErasmusPreregistration::all();
		return view('erasmusPreregistration.index', compact('preregistrations'));    

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('erasmusPreregistration.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
		$preregistration = $request->all();        	
		ErasmusPreregistration::create($preregistration);        
		return redirect('erasmusPreregistration');    
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        	$programme = Programme::find($id);    

			$studentProgrammes = ProgrammeStudent::leftjoin('students', 'students.id', '=', 'programme_students.student_id')
			->select('students.firstname', 'students.lastname', 'students.phone', 'students.mobile', 'students.email', 'programme_students.*')
			->where('programme_id', $id)
            ->get();			

			return view('programmes.show', compact('programme', 'studentProgrammes')); 

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $preregistration = ErasmusPreregistration::find($id);  
		
		return view('erasmusPreregistration.edit', compact('preregistration')); 
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $preregistrationUpdate = $request->all();
        $preregistration = ErasmusPreregistration::find($id);
		$preregistration->update($preregistrationUpdate);
//		return view('programmes.show', compact('programme')); 
		return redirect('erasmusPreregistration'); 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $preregistration = ErasmusPreregistration::find($id)->delete();
		return redirect('erasmusPreregistration');
    }
}
