<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\ErasmusParticipant;
use App\ErasmusProgramme;
use App\ErasmusProgrammeParticipant;
use App\Katigories;
use App\Parameter;
use PDF;
use Illuminate\Support\Facades\File;

class ErasmusProgrammeController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $programmes = ErasmusProgramme::all();
		return view('erasmusProgrammes.index',
				compact('programmes'));    

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('erasmusProgrammes.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
		$programme = $request->all();        	
		ErasmusProgramme::create($programme);        
		return redirect('erasmusProgrammes');    
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        	$programme = ErasmusProgramme::find($id);    

			$participantProgrammes = ErasmusProgramme::find($id)->erasmusProgrammeParticipant;

			return view('erasmusProgrammes.show', compact('programme', 'participantProgrammes')); 

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $programme = ErasmusProgramme::find($id);  
		
		return view('erasmusProgrammes.edit', compact('programme')); 
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $programmeUpdate = $request->all();
		$programme = ErasmusProgramme::find($id);
		$programme->update($programmeUpdate);
		$programme = ErasmusProgramme::find($id);
		return redirect('erasmusProgrammes/show/'.$id); 
//		return view('erasmusProgrammes.show', compact('programme')); 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $programme = ErasmusProgramme::find($id)->delete();
		return redirect('erasmusProgrammes');
    }

    /**
     * Programme-Students funcions
     *
     */



    public function destroyParticipant($id)
    {
		$programme_id = ErasmusProgrammeParticipant::find($id)->erasmusProgramme->id;
		$programmeParticipant = ErasmusProgrammeParticipant::find($id)->delete();
		return redirect('erasmusProgrammes/show/'.$programme_id); 
    }


    public function printCourseList($id)
    {
        $programme = ErasmusProgramme::find($id);    

        $participantProgrammes = ErasmusProgramme::find($id)->erasmusProgrammeParticipant;

        $pdf = PDF::loadView('pdf.courseList', compact('programme', 'participantProgrammes'));
 
		
		$pdf->setPaper('A4', 'landscape');
		$pdf->getDomPDF()->set_option('enable_html5_parser', true);
		//return $pdf->download('certificate-'.$participant->lastname.'.pdf');	
		$match_files = File::glob('document*');
		if($match_files !== false) {
			foreach($match_files as $file) {
			if(file_exists($file))
			File::delete($file);
			}
		}
		$output = $pdf->output();
		$newfile = 'document'.strval(rand(0, 9999990)).'.pdf';
		file_put_contents($newfile, $output);
		echo $newfile;

    }    


}
