<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Programme;
use App\Student;
use App\StudentPayment;
use App\Katigories;
use Shinobi;

class StudentPaymentController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $studentPayments = StudentPayment::leftjoin('programme_students', 'student_payments.programme_student_id', '=', 'programme_students.id')
			->leftjoin('programmes', 'programmes.id', '=', 'programme_students.programme_id')
			->leftjoin('students', 'students.id', '=', 'programme_students.student_id')
			->select('programmes.code', 'programmes.title', 'students.lastname', 'students.firstname', 'programme_students.student_id', 'student_payments.*')
            ->get();

		
		if (Shinobi::can('payments.view')) {
			return view('payments.index',	compact('studentPayments'));    
		} else {
			return redirect('denied');
		}

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
		//  (online, mikto, dia zosis)
		$typeList = Katigories::where('kod_katigoria', 61) 
			->orderBy('onomasia')->pluck('onomasia', 'onomasia');
		//ergasia (NAI/OXI)
		$ergasiaList = Katigories::where('kod_katigoria', 62) 
			->orderBy('onomasia')->pluck('onomasia', 'onomasia');
        return view('programmes.create', compact('typeList', 'ergasiaList'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
		$programme = $request->all();        	
		Programme::create($programme);        
		return redirect('programmes');    
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        	$programme = Programme::find($id);        
			return view('programmes.show', compact('programme')); 

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $programme = Programme::find($id);  
		
		//  (online, mikto, dia zosis)
		$typeList = Katigories::where('kod_katigoria', 61) 
			->orderBy('onomasia')->pluck('onomasia', 'onomasia');
		//ergasia (NAI/OXI)
		$ergasiaList = Katigories::where('kod_katigoria', 62) 
			->orderBy('onomasia')->pluck('onomasia', 'onomasia');

		return view('programmes.edit', compact('programme', 'typeList', 'ergasiaList')); 
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $programmeUpdate = $request->all();
		$programme = Programme::find($id);
		$programme->update($programmeUpdate);
		$programme = Programme::find($id);
		return view('programmes.show', compact('programme')); 
//		return redirect('programmes'); 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $studentPayment = StudentPayment::find($id)->delete();
		return redirect('studentPayments');
    }
}

