@extends('adminlte::page')

@section('title', 'Areadne Erasmus')

@section('content_header')
    <h1>Participant's Page</h1>
@stop

@section('content')

                    
		<!-- START CONTENT FRAME BODY -->
		<div class="col-md-9">

          <!-- Profile Image -->
          <div class="box box-primary">
            <div class="box-body box-profile">

			  <h3 class="profile-username text-center">{{ $participant->firstname }} {{ $participant->lastname }}</h3>

			  <input type="hidden" name="participant_id" id="participant_id" value="{{ $participant->id }}">

              <p class="text-muted text-center">{{ $participant->country}}</p>
  			  <div class="col-md-12">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>School:</b> <a class="pull-right">{{ $participant->school}}</a>
					</li>
					<li class="list-group-item">
					  <b>Κινητό Τηλ:</b> <a class="pull-right">{{ $participant->mobile}}</a>
					</li>
					<li class="list-group-item">
					  <b>skype:</b> <a class="pull-right">{{ $participant->skype}}</a>
					</li>
					<li class="list-group-item">
					  <b>email:</b> <a class="pull-right">{{ $participant->email}}</a>
					</li>
				  </ul>
			  </div>

			<div class="col-md-12">
				<div class="box-body">
				  {{ $participant->comments}}
				</div>
			</div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
		</div>
			<!-- START CONTENT FRAME LEFT -->
			<div class="col-md-3">
				  <!-- About Me Box -->
				  <div class="box box-primary">
					<div class="box-header with-border">
					  <h3 class="box-title">Participant's Menu</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						 
						  @include('erasmusParticipants.participantMenu')

					</div>
				</div>
			</div>
			<!-- END CONTENT FRAME LEFT -->
		   

		   <div class="col-md-12">

		  <div class="box box-success">
			<div class="box-header with-border">
			  <h3 class="box-title">Erasmus Courses</h3>
			</div>
			<!-- /.box-header -->
			<div class="box-body">
				<table class="table table-bordered table-striped table-actions" id="table">
					<thead>
					  <tr>
						<th>Κωδ. Προγρ.</th>
						<th>Προγραμμα</th>
						<th>City</th>
						<th>Start Date</th>
						<th>Days</th>
						<th>Comments</th>
						<th width="120">Actions</th>                          
					  </tr>
					</thead>

					<tbody id="calendar-list" name="calendar-list">	
						@foreach ($participantProgrammes as $participantProgramme)
						<tr>
							<td>{{ $participantProgramme->erasmusProgramme->code}} </td>
							<td>{{ $participantProgramme->erasmusProgramme->title}} </td>
							<td>{{ $participantProgramme->erasmusProgramme->city}} </td>
							<td>@if ($participantProgramme->start_date > '1970/1/1') {{date('d/m/Y', strtotime($participantProgramme->start_date)) }}  
							@elseif ($participantProgramme->erasmusProgramme->start_date > '1970/1/1') {{date('d/m/Y', strtotime($participantProgramme->erasmusProgramme->start_date)) }} @endif</td>
							<td>{{ $participantProgramme->days}} </td>
							<td>{{ $participantProgramme->comments}} </td>
						  <td>  
							  <a href="{{url('/erasmusProgrammes/show', $participantProgramme->erasmusProgramme->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-search"></i></a>
							  <a href="{{url('/erasmusParticipants/editProgramme', $participantProgramme->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-pencil"></i></a>
							  <a href="#" class="btn btn-primary btn-xs" onClick="printcertificateka1({{$participantProgramme->id}}, {{$participant->id}});"> <i class="fa fa-print"></i></a>
								<a href="#" class="btn btn-primary btn-xs" onClick="printeuropass({{$participantProgramme->id}}, {{$participant->id}});"> <i class="fa fa-print"></i></a>
							  <button class="btn btn-danger btn-s btn-flat btn-delete delete-calendar btn-xs" value="{{$participantProgramme->id}}"><i class="fa fa-trash"></i></button>

						  </td>
						</tr>
						@endforeach
					</tbody>
				</table>				 		
			</div>
		 </div>



	</div>
                    <!-- END CONTENT FRAME BODY -->

<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Προγράμματος Εκπαιδευομένου;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>

@stop

@section('css')
    <link rel="stylesheet" href="../../css/admin_custom.css">
	
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script src="../../vendor/datatables/jquery.dataTables.min.js"></script>
	<script src="../../vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="../../vendor/datatables/mydataTableParticipantShow.js"></script>
	<script src="../../js/print.js"></script>






@stop
