@extends('adminlte::page')

@section('title', 'Areadne Erasmus')

@section('content_header')

@stop

@section('content')

	  <div class="row">
	    <div class="col-xs-12">
	
<a href="{{url('/erasmusPreregistration/create')}}" class="btn btn-success"><i class="fa fa-plus"></i> New preregistration</a>
<br>
</div>
</div>
	  <div class="row">
        <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Pre-Registration List</h3>
            </div>
	<div class="box-body">
				<table class="table table-bordered table-hover" id="table">
                    <thead>
                    <tr class="bg-info">
                        <th>Email Address</th> <th>Email Date</th> <th>Contact Person</th> <th>School</th> <th>Country</th><th>Participants</th><th>Course</th><th>Prefered dates</th>
                        <th>Ενέργειες</th> 
                    </tr>
                    </thead>
                    <tbody id="table-list" name="table-list">	
                    @foreach ($preregistrations as $preregistration)
                        <tr>                        
                            <td>{{ $preregistration->email_address }}</td>
                            <td>@if ($preregistration->email_date > '1970/1/1') {{date('d/m/Y', strtotime($preregistration->email_date)) }} @endif</td>
                            <td>{{ $preregistration->contact_person}}</td>
                            <td>{{ $preregistration->school }}</td>
                            <td>{{ $preregistration->country }}</td>
                            <td>{{ $preregistration->participants_no }}</td>
                            <td>{{ $preregistration->preferred_topic }}</td>
                            <td>{{ $preregistration->preferred_dates }}</td>

							<td width="100">
								 <a href="{{url('/erasmusPreregistration/edit', $preregistration->id)}}" class="btn btn-primary"> <i class="fa fa-pencil"></i></a>
								 <button class="btn btn-danger btn-s btn-flat btn-delete delete-table" value="{{$preregistration->id}}"><i class="fa fa-trash"></i></button>
							</td>

                        </tr>
                    @endforeach
                    </tbody>
                </table>
</div></div></div></div>
	

	
<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Delete preregistration;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>	

@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
  
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script src="vendor/datatables/jquery.dataTables.min.js"></script>
	<script src="vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="vendor/datatables/mydataTableStudents.js"></script>
	
@stop
