@extends('adminlte::page')

@section('title', 'Areadne Erasmus')

@section('content_header')
    <h1>Course List <a href="{{url('/erasmusProgrammes/create')}}" class="btn btn-success pull-right"><i class="fa fa-plus"></i> New course</a></h1> 
@stop

@section('content')

      <div class="row">
        <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Course List</h3>
            </div>
	<div class="box-body">
				<table class="table table-bordered table-hover table-condensed table-striped" id="table" style="width:100%">
                    <thead>
                    <tr class="bg-info">
                        <th>Code</th> <th>Title</th> <th>City</th> <th>Start Date</th> <th>Participants</th>
                        <th>Ενέργειες</th> 
                    </tr>
                    </thead>
                    <tbody id="table-list" name="table-list">	
                    @foreach ($programmes as $programme)
                        <tr>                        
                            <td>{{ $programme->code }}</td>
                            <td>{{ $programme->title }}</td>
                            <td>{{ $programme->city }}</td>
                            <td data-order="{{ $programme->start_date }}">@if ($programme->start_date > '1970/1/1') {{date('d/m/Y', strtotime($programme->start_date)) }} @endif</td>
                            <td>{{ $programme->erasmusProgrammeParticipant()->count() }}</td>
							<td width="140">
								 <a href="{{url('/erasmusProgrammes/show', $programme->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-search"></i></a>
								 <a href="{{url('/erasmusProgrammes/edit', $programme->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-pencil"></i></a>
								 <button class="btn btn-danger btn-s btn-flat btn-delete delete-table btn-xs" value="{{$programme->id}}"><i class="fa fa-trash"></i></button>
							</td>

                        </tr>
                    @endforeach
                    </tbody>
                </table>
</div></div></div></div>
	
<a href="{{url('/erasmusProgrammes/create')}}" class="btn btn-success"><i class="fa fa-plus"></i> New course</a>
	
<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Delete programme;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>	

@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
  
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script src="vendor/datatables/jquery.dataTables.min.js"></script>
	<script src="vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="vendor/datatables/mydataTableErasmusCourses.js"></script>
	
@stop