@extends('adminlte::page')

@section('title', 'Areadne Erasmus')

@section('content_header')
    <h1>Course Page</h1>
@stop

@section('content')

                    
		<!-- START CONTENT FRAME BODY -->
		<div class="col-md-9">

          <!-- Profile Image -->
          <div class="box box-primary">
            <div class="box-body box-profile">

			  <h3 class="profile-username text-center">{{ $programme->title }}</h3>

			  <input type="hidden" name="programme_id" id="programme_id" value="{{ $programme->id }}">

              <p class="text-muted text-center">{{ $programme->code}}</p>
  			  <div class="col-md-12">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>City:</b> <a class="pull-right">{{ $programme->city}}</a>
					</li>
					<li class="list-group-item">
					  <b>Start Date:</b> <a class="pull-right">@if ($programme->start_date > '1970/1/1') {{date('d/m/Y', strtotime($programme->start_date)) }} @endif</a>
					</li>
					<li class="list-group-item">
					  <b>Days:</b> <a class="pull-right">{{ $programme->days}}</a>
					</li>

				  </ul>
			  </div>

			<div class="col-md-12">
				<div class="box-body">
				  {{ $programme->comments}}
				</div>
			</div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
		</div>
			<!-- START CONTENT FRAME LEFT -->
			<div class="col-md-3">
				  <!-- About Me Box -->
				  <div class="box box-primary">
					<div class="box-header with-border">
					  <h3 class="box-title">Course Menu</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						 
						  @include('erasmusProgrammes.programmeMenu')

					</div>
				</div>
			</div>
			<!-- END CONTENT FRAME LEFT -->
		   

		   <div class="col-md-12">

		  <div class="box box-success">
			<div class="box-header with-border">
			  <h3 class="box-title">Participants</h3>
			</div>
			<!-- /.box-header -->
			<div class="box-body">
				<table class="table table-bordered table-striped table-actions" id="table">
					<thead>
					  <tr>
						<th>Name</th>
						<th>Country</th>
						<th>School</th>
						<th>email</th>
						<th>Comments</th>
						<th width="100">Actions</th>                          
					  </tr>
					</thead>

					<tbody id="calendar-list" name="calendar-list">	
						@foreach ($participantProgrammes as $participantProgramme)
						<tr>
							<td>{{ $participantProgramme->erasmusParticipant->firstname}} {{ $participantProgramme->erasmusParticipant->lastname}} </td>
							<td>{{ $participantProgramme->erasmusParticipant->country}} </td>
							<td>{{ $participantProgramme->erasmusParticipant->school}} </td>
							<td>{{ $participantProgramme->erasmusParticipant->email}} </td>
							<td>{{ $participantProgramme->comments}} </td>
						  <td>  
							  <a href="{{url('/erasmusParticipants/show', $participantProgramme->erasmusParticipant->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-search"></i></a>
								<a href="#" class="btn btn-primary btn-xs" onClick="printcertificateka1({{$participantProgramme->id}}, {{$participantProgramme->erasmusParticipant->id}});"> <i class="fa fa-print"></i> C </a>
								<a href="#" class="btn btn-primary btn-xs" onClick="printeuropass({{$participantProgramme->id}}, {{$participantProgramme->erasmusParticipant->id}});"> <i class="fa fa-print"></i> E </a>
							  <button class="btn btn-danger btn-s btn-flat btn-delete delete-calendar  btn-xs" value="{{$participantProgramme->id}}"><i class="fa fa-trash"></i></button>

						  </td>
						</tr>
						@endforeach
					</tbody>
				</table>				 		
			</div>
		 </div>



	</div>
                    <!-- END CONTENT FRAME BODY -->

<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Delete Participant from Course;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>

@stop

@section('css')
    <link rel="stylesheet" href="../../css/admin_custom.css">
	
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script src="../../vendor/datatables/jquery.dataTables.min.js"></script>
	<script src="../../vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="../../vendor/datatables/mydataTableCourseShow.js"></script>
	<script src="../../js/print.js"></script>


@stop
