@extends('adminlte::page')

@section('title', 'Areadne')

@section('content_header')
    <h1>Νέα Πληρωμή Μαθητή</h1>
@stop

@section('content')
			<div class="box box-warning">
				{!! Form::open(['url' => 'students/createPayment']) !!}			
				<div class="box-body">	
					<div class="form-group">
						{!! Form::label('payment_date', 'Ημερομηνία Πληρωμής:') !!}
						{!! Form::date('payment_date', \Carbon\Carbon::now(), ['class'=>'form-control', 'required'=>'required']); !!}
					</div>				
					<div class="form-group">
						{!! Form::label('programme_student_id', 'Πρόγραμμα:') !!}
						{!! Form::select('programme_student_id', $programmesList, NULL, array('placeholder' => 'Επιλέξτε σεμινάριο...', 'class' => 'form-control', 'required'=>'required')) !!}
					</div>
					<div class="form-group">
						{!! Form::label('payment_kind_id', 'Είδος Παραστατικού:') !!}
						{!! Form::select('payment_kind_id', $kindList, NULL, array('placeholder' => 'Επιλέξτε είδος παραστατικού...', 'class' => 'form-control', 'required'=>'required')) !!}
					</div>
					<div class="form-group">
						{!! Form::label('payment_number', 'Αρ. Παραστ.:') !!}
						{!! Form::text('payment_number', 0, array('class' => 'form-control', 'required'=>'required')) !!}
					</div>
					<div class="form-group">
						{!! Form::label('payment_amount', 'Τιμή:') !!}
						{!! Form::text('payment_amount',null,['class'=>'form-control']) !!}
					</div>
					<div class="form-group">
						{!! Form::label('price_written', 'Τιμή Ολογράφως:') !!}
						{!! Form::text('price_written',null,['class'=>'form-control']) !!}
					</div>
					<div class="form-group">
						{!! Form::label('payment_type', 'Τρόπος Πληρωμής:') !!}
						{!! Form::select('payment_type', $typeList, NULL, array('placeholder' => 'Επιλέξτε τρόπο πληρωμής...', 'class' => 'form-control', 'required'=>'required')) !!}
					</div>
					<div class="form-group">
						{!! Form::label('description', 'Περιγραφή:') !!}
						{!! Form::textarea('description',null,['class'=>'form-control', 'rows'=>3]) !!}
					</div>
					<div class="form-group">
						{!! Form::label('comments', 'Παρατηρήσεις:') !!}
						{!! Form::textarea('comments',null,['class'=>'form-control', 'rows'=>3]) !!}
					</div>
				</div>
                <div class="box-footer">					
					{!! Form::hidden('student_id', $student_id) !!}
                    {!! Form::submit('Αποθήκευση', ['class' => 'btn btn-primary']) !!}
                    <a href="{{url('/students/show/'.$student_id)}}" class="btn btn-danger">Άκυρο</a>
                </div>
                {!! Form::close() !!}
			</div>


@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
  <!-- DataTables 
  <link rel="stylesheet" href="../../plugins/datatables/dataTables.bootstrap.css">
  -->
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables 
	<script src="../../plugins/datatables/jquery.dataTables.min.js"></script>
	<script src="../../plugins/datatables/dataTables.bootstrap.min.js"></script>
	-->
@stop