@extends('adminlte::page')

@section('title', 'Areadne')

@section('content_header')
    <h1>Καρτέλα Μαθητή</h1>
@stop

@section('content')

                    
		<!-- START CONTENT FRAME BODY -->
		<div class="col-md-9">

          <!-- Profile Image -->
          <div class="box box-primary">
            <div class="box-body box-profile">

			  <h3 class="profile-username text-center">{{ $student->firstname }} {{ $student->lastname }}</h3>

			  <input type="hidden" name="student_id" id="student_id" value="{{ $student->id }}">

              <p class="text-muted text-center">{{ $student->address}} {{ $student->city}} {{ $student->tk}}</p>
  			  <div class="col-md-4">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>Σταθερο Τηλ:</b> <a class="pull-right">{{ $student->phone}}</a>
					</li>
					<li class="list-group-item">
					  <b>Κινητό Τηλ:</b> <a class="pull-right">{{ $student->mobile}}</a>
					</li>
					<li class="list-group-item">
					  <b>ΦΑΧ:</b> <a class="pull-right">{{ $student->fax}}</a>
					</li>
					<li class="list-group-item">
					  <b>email:</b> <a class="pull-right">{{ $student->email}}</a>
					</li>
				  </ul>
			  </div>
  			  <div class="col-md-4">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>Ημερομηνία Γέννησης:</b> <a class="pull-right"> @if ($student->im_gennisis > '1970/1/1') {{date('d/m/Y', strtotime($student->im_gennisis)) }} @endif </a>
					</li>
					<li class="list-group-item">
					  <b>ΑΔΤ:</b> <a class="pull-right">{{ $student->ar_taytotitas}}</a>
					</li>
					<li class="list-group-item">
					  <b>Κάρτα ανεργίας:</b> <a class="pull-right">{{ $student->karta_anergias}}</a>
					</li>
					<li class="list-group-item">
					  <b>Ημερομηνία Έκδοσης:</b> <a class="pull-right">@if ($student->im_ekdosis_kartas > '1970/1/1') {{date('d/m/Y', strtotime($student->im_ekdosis_kartas)) }} @endif </a>
					</li>
				  </ul>
			  </div>
  			  <div class="col-md-4">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>Επάγγελμα:</b> <a class="pull-right">{{ $student->epaggelma}}</a>
					</li>
					<li class="list-group-item">
					  <b>ΑΦΜ:</b> <a class="pull-right">{{ $student->afm}} </a>
					</li>
					<li class="list-group-item">
					  <b>ΔΟΥ:</b> <a class="pull-right">{{ $student->doy}}</a>
					</li>
					<li class="list-group-item">
					  <b>ΑΜΚΑ:</b> <a class="pull-right">{{ $student->amka}}</a>
					</li>
				  </ul>
			  </div>
			  {{ $student->comments}}
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
		</div>
			<!-- START CONTENT FRAME LEFT -->
			<div class="col-md-3">
				  <!-- About Me Box -->
				  <div class="box box-primary">
					<div class="box-header with-border">
					  <h3 class="box-title">Επιλογές Μαθητή</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						 
						  @include('students.studentMenu')

					</div>
				</div>
			</div>
			<!-- END CONTENT FRAME LEFT -->
		   

		   <div class="col-md-12">

		  <div class="box box-success">
			<div class="box-header with-border">
			  <h3 class="box-title">Προγράμματα - Σεμινάρια</h3>
			</div>
			<!-- /.box-header -->
			<div class="box-body">
				<table class="table table-bordered table-striped table-actions" id="table">
					<thead>
					  <tr>
						<th>Κωδ. Προγρ.</th>
						<th>Προγραμμα</th>
						<th>Ώρες</th>
						<th width="40">Τιμή προγρ.</th>
						<th>Τοποθεσία</th>
						<th width="40">Τιμή Πληρ.</th>
						<th>Διάρκεια</th>
						<th>Ημ. Λήξης</th>
						<th>Παρατηρήσεις</th>
						<th width="100">Ενέργειες</th>                          
					  </tr>
					</thead>

					<tbody id="calendar-list" name="calendar-list">	
						@foreach ($studentProgrammes as $studentProgramme)
						<tr>
							<td>{{ $studentProgramme->code}} </td>
							<td>{{ $studentProgramme->title}} </td>
							<td>{{ $studentProgramme->ores_real}} </td>
							<td>{{ $studentProgramme->programme_price}} </td>
							<td>{{ $studentProgramme->place}} </td>
							<td>{{ $studentProgramme->price}} </td>
							<td> @if ($studentProgramme->date_start > '1970/1/1') {{date('d/m/Y', strtotime($studentProgramme->date_start)) }} @endif - @if ($studentProgramme->date_end > '1970/1/1') {{date('d/m/Y', strtotime($studentProgramme->date_end)) }} @endif</td>
							<td>  </td>
							<td>{{ $studentProgramme->comments}} </td>
						  <td>                                          
							 <a href="{{url('/students/editProgramme', $studentProgramme->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-pencil"></i></a>
							 <a href="#" class="btn btn-primary btn-xs" onClick="printcertificate({{$studentProgramme->id}}, {{$student->id}});"> <i class="fa fa-print"></i></a>
							 <a href="#" class="btn btn-primary btn-xs" onClick="printgreekeuropass({{$studentProgramme->id}}, {{$student->id}});"> <i class="fa fa-print"></i>EP</a>
							 <button class="btn btn-danger btn-s btn-flat btn-delete delete-calendar btn-xs" value="{{$studentProgramme->id}}"><i class="fa fa-trash"></i></button>

						  </td>
						</tr>
						@endforeach
					</tbody>
				</table>				 		
			</div>
		 </div>


		  <div class="box box-warning">
			<div class="box-header with-border">
			  <h3 class="box-title">Πληρωμές Προγραμμάτων</h3>
			</div>
			<!-- /.box-header -->
			<div class="box-body">
				  <table class="table table-bordered table-striped table-actions" id="table2">
					<thead>
					  <tr>
						<th>Ημερομηνία</th>
						<th>Αρ. Παρ.</th>
						<th>Είδος</th>
						<th>Πρόγραμμα</th>
						<th>Ποσό</th>
						<th>Τρόπος</th>
						<th>Περιγραφή</th>
						<th width="100">Ενέργειες</th>                          
					  </tr>
					</thead>

					<tbody id="calendar-list2" name="calendar-list2">		
						@foreach ($studentPayments as $studentPayment)
						<tr>
						  <td>
							{{ date('d/m/Y', strtotime($studentPayment->payment_date)) }}
						  </td>
						  <td>
							{{ $studentPayment->payment_number}}
						  </td>
						  <td>
							{{ $studentPayment->payment_kind}}
						  </td>
						  <td>
							{{ $studentPayment->title}}
						  </td>
						  <td>
							{{ $studentPayment->payment_amount}}
						  </td>
						  <td>
							{{ $studentPayment->payment_type}}
						  </td>
						  <td>
							{{ $studentPayment->description}}
						  </td>
						  <td>
							 <a href="{{url('/students/editPayment', ['id'=>$studentPayment->id, 'student_id'=>$student->id])}}" class="btn btn-primary btn-xs"> <i class="fa fa-pencil"></i></a>
							 <a href="#" class="btn btn-primary btn-xs" onClick="printpayment({{$studentPayment->id}}, {{$student->id}});"> <i class="fa fa-print"></i></a>
							 <button class="btn btn-danger btn-s btn-flat btn-delete delete-calendar2 btn-xs" value="{{$studentPayment->id}}"><i class="fa fa-trash"></i></button>
						  </td>
						</tr>
						@endforeach
					</tbody>
				  </table>
			</div>
		 </div>

	</div>
                    <!-- END CONTENT FRAME BODY -->

<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Προγράμματος Εκπαιδευομένου;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>

<!-- Delete Modal 2 -->
<div class="modal fade" id="myModalDel2" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Πληρωμής Εκπαιδευομένου;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes2" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>

@stop

@section('css')
    <link rel="stylesheet" href="../../css/admin_custom.css">
	
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script src="../../vendor/datatables/jquery.dataTables.min.js"></script>
	<script src="../../vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="../../vendor/datatables/mydataTableStudentShow.js"></script>
	<script src="../../js/print.js"></script>




@stop
