<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

//Route::get('/', 'DashboardController@showHome');
Route::get('/', 'StudentController@index');
Route::get('/testPDF', 'DashboardController@testPDF');

Route::get('/denied', 'HomeController@denied');
Route::get('/home', 'HomeController@index');

Route::get('/students', 'StudentController@index');
Route::get('/students/create', 'StudentController@create');
Route::post('/students/create', 'StudentController@store');
Route::get('/students/show/{id}', 'StudentController@show');
Route::get('/students/edit/{id}', 'StudentController@edit');
Route::post('/students/edit/{id}', 'StudentController@update');
Route::delete('/students/{id}', 'StudentController@destroy');
Route::get('/studentsVevaioseis', 'StudentController@indexVevaioseis');


Route::get('/programmes', 'ProgrammeController@index');
Route::get('/programmes/create', 'ProgrammeController@create');
Route::post('/programmes/create', 'ProgrammeController@store');
Route::get('/programmes/show/{id}', 'ProgrammeController@show');
Route::get('/programmes/edit/{id}', 'ProgrammeController@edit');
Route::post('/programmes/edit/{id}', 'ProgrammeController@update');
Route::delete('/programmes/{id}', 'ProgrammeController@destroy');

Route::get('/students/createProgramme/{id}', 'StudentController@createProgramme');
Route::post('/students/createProgramme', 'StudentController@storeProgramme');
Route::get('/students/editProgramme/{id}', 'StudentController@editProgramme');
Route::post('/students/editProgramme/{id}', 'StudentController@updateProgramme');
Route::delete('/students/destroyProgramme/{id}/{student_id}', 'StudentController@destroyProgramme');
Route::get('/students/printCertificate/{id}/{student_id}', 'StudentController@printCertificate');
Route::get('/students/printGreekEuropass/{id}/{student_id}', 'StudentController@printGreekEuropass');

Route::get('/students/createPayment/{id}', 'StudentController@createPayment');
Route::post('/students/createPayment', 'StudentController@storePayment');
Route::get('/students/editPayment/{id}/{student_id}', 'StudentController@editPayment');
Route::post('/students/editPayment/{id}/{student_id}', 'StudentController@updatePayment');
Route::delete('/students/destroyPayment/{id}/{student_id}', 'StudentController@destroyPayment');
Route::get('/students/printPayment/{id}/{student_id}', 'StudentController@printPayment');


Route::get('/studentPayments', 'StudentPaymentController@index');
Route::delete('/studentPayments/{id}', 'StudentPaymentController@destroy');


Route::get('/erasmusParticipants', 'ErasmusParticipantController@index');
Route::get('/erasmusParticipants/create', 'ErasmusParticipantController@create');
Route::post('/erasmusParticipants/create', 'ErasmusParticipantController@store');
Route::get('/erasmusParticipants/show/{id}', 'ErasmusParticipantController@show');
Route::get('/erasmusParticipants/edit/{id}', 'ErasmusParticipantController@edit');
Route::post('/erasmusParticipants/edit/{id}', 'ErasmusParticipantController@update');
Route::delete('/erasmusParticipants/{id}', 'ErasmusParticipantController@destroy');

Route::get('/erasmusParticipants/createProgramme/{id}', 'ErasmusParticipantController@createProgramme');
Route::post('/erasmusParticipants/createProgramme', 'ErasmusParticipantController@storeProgramme');
Route::get('/erasmusParticipants/editProgramme/{id}', 'ErasmusParticipantController@editProgramme');
Route::post('/erasmusParticipants/editProgramme/{id}', 'ErasmusParticipantController@updateProgramme');
Route::delete('/erasmusParticipants/destroyProgramme/{id}/{student_id}', 'ErasmusParticipantController@destroyProgramme');
Route::get('/erasmusParticipants/printCertificate/{id}/{student_id}', 'ErasmusParticipantController@printCertificate');
Route::get('/erasmusParticipants/printEuropass/{id}/{student_id}', 'ErasmusParticipantController@printEuropass');

Route::get('/erasmusProgrammes', 'ErasmusProgrammeController@index');
Route::get('/erasmusProgrammes/create', 'ErasmusProgrammeController@create');
Route::post('/erasmusProgrammes/create', 'ErasmusProgrammeController@store');
Route::get('/erasmusProgrammes/show/{id}', 'ErasmusProgrammeController@show');
Route::get('/erasmusProgrammes/edit/{id}', 'ErasmusProgrammeController@edit');
Route::post('/erasmusProgrammes/edit/{id}', 'ErasmusProgrammeController@update');
Route::delete('/erasmusProgrammes/{id}', 'ErasmusProgrammeController@destroy');

Route::get('/erasmusProgrammes/createParticipant/{id}', 'ErasmusProgrammeController@createParticipant');
Route::post('/erasmusProgrammes/createParticipant', 'ErasmusProgrammeController@storeParticipant');
Route::get('/erasmusProgrammes/editParticipant/{id}', 'ErasmusProgrammeController@editParticipant');
Route::post('/erasmusProgrammes/editParticipant/{id}', 'ErasmusProgrammeController@updateParticipant');
Route::delete('/erasmusProgrammes/destroyParticipant/{id}', 'ErasmusProgrammeController@destroyParticipant');
Route::get('/erasmusProgrammes/printCertificate/{id}/{student_id}', 'ErasmusProgrammeController@printCertificate');
Route::get('/erasmusProgrammes/printCourseList/{id}', 'ErasmusProgrammeController@printCourseList');

Route::get('/erasmusPreregistration', 'ErasmusPreregistrationController@index');
Route::get('/erasmusPreregistration/create', 'ErasmusPreregistrationController@create');
Route::post('/erasmusPreregistration/create', 'ErasmusPreregistrationController@store');
Route::get('/erasmusPreregistration/show/{id}', 'ErasmusPreregistrationController@show');
Route::get('/erasmusPreregistration/edit/{id}', 'ErasmusPreregistrationController@edit');
Route::post('/erasmusPreregistration/edit/{id}', 'ErasmusPreregistrationController@update');
Route::delete('/erasmusPreregistration/{id}', 'ErasmusPreregistrationController@destroy');