@extends('layouts.print-europass')

@section('title', 'ICT Europass')

@section('content')



<div class="row">
	<div class="left">
		<img src="images/europass.jpg" height="50px">
		<h1>Europass Certificate Supplement</h1>
	</div>
	
		
	
	<div class="right">
		<img src="images/flag_gr.jpg" height="50px" >
		<div class="clear"></div>
		Greece		
	</div>
</div>
<div class="clear"></div>
<table>
<tr>
	<td><h3 class="head">1. Certificate Title (EN) </h3></td>
</tr>
<tr>
	<td><h2 class="head">{{ $studentProgramme->title_certificate}}</h2>
	<p class="head">CID: {{ $studentProgramme->certificate_number}}
	</p>
	</td>
</tr>
<tr>
	<td><h3 class="head">2. Participant  </h3></td>
</tr>
<tr>
	<td>
	<p class="head">Name: {{ $participant->firstname}} {{ $participant->lastname}} <br>
	Country: {{ $participant->country}} <br>
	Organization: {{ $participant->school}}
	</p>
	</td>
</tr>
<tr>
	<td><h3 class="head">3. Profile of Skills and Competences </h3> </td>
</tr>
<tr>
	<td>
		The holder of this certificate is able to:
		<ul>
			<li>
			Plan and/or manage ICT applications, within contexts where educational and training services are offered, using appropriate approaches, theories and tools, taking into consideration learner characteristics.
			</li>
			<li>
			Design complete educational interventions promoting as well as exploiting ICT applications to benefit all learners, within contexts where educational and training services are offered, taking into consideration appropriate learning theories and approaches, context and learner characteristics.
			</li>
			<li>
			Manage learner groups within diverse contexts where educational and training services are offered, in order to achieve the intervention's goal and objectives.
			</li>
			<li>
			Combine experience with IVT applications, active learning methods and techniques, so as to promote dialogue, critical thinking and active participation within diverse contexts where educational and training services are offered. 
			</li>
			<li>
			Use ICT applications to develop educational materials and use space and teaching aids effectively within diverse contexts where educational and training services are offered.
			</li>
		</ul>
	</td>
</tr>
<tr>
	<td><h3 class="head">4. Range of occupations accessible to the holder of the certificate  </h3> </td>
</tr>
<tr>
	<td><p class="head">This certificate is taken into consideration as a point-giving or extra qualification by public and private institutions seeking education and training specialists and managers trained in IT and ICT classroom applications. </p></td>
</tr>
<tr>
	<td><h3 class="head">5. Official basis of the certificate  </h3></td>
</tr>
<tr>
	<td><p class="head">
		Name of Institution: Areadne<br>
		Type of Institution: Lifelong Learning Centre (Registration No: 2101309)<br>
		Department: Education and Training<br>
		Contact details: 13 Efstathiou Karelia str, Kalamata, GR24131, Greece<br>
		tel. +30 27210 95346  - email: info@areadne.gr<br>
	 </p></td>
</tr>
<tr>
	<td><h3 class="head">6. Course content  </h3></td>
</tr>
<tr>
	<td>
		This course consists of theoretical input, practical workshops and structured study visits on:
		<ul>
			<li>
				setting-up blogs
			</li>
			<li>
				using wikis 
			</li>
			<li>				
				using social networking and other ICT tools like video editing 
			</li>
			<li>
				creating simple and efficient presentations online. 
			</li>
		</ul>

		<strong>Total workload:</strong> 40 hours<br>
		<strong>Total number of ECVET points:</strong> 10
	 </td>
</tr>

<tr>
	<td><h3 class="head">7. Additional information </h3></td>
</tr>
<tr>
	<td>
		<p>
			European Qualifications Framework: http://www.cedefop.europa.eu/en/events-and-projects/projects/european-qualifications-framework-eqf <br>
			National Qualifications Framework: http://www.nqf.gov.gr/   <br>
			National Organisation for the Certification of Qualifications & Vocational Guidance – ΕΟPPEP: http://www.eoppep.gr/ 
		</p>
	 </td>
</tr>
</table>

<div class="sign">
		<p class="center">
			Kalamata, {{date('d/m/Y', strtotime($endDate)) }}
			
			<br>
		</p>
		<p class="center">
			Director of Learning
			<br><br>
			<br><br>
			<br><br>
			Ioannis Papadopoulos
		</p>
</div>


@endsection



	